%global bzrurl  http://bazaar.launchpad.net/~kirkland/%{name}

Name:           hollywood
Version:        1.12
Release:        1%{?dist}
Summary:        Fill your console with Hollywood melodrama techno-babble

License:        ASL 2.0 and CC0
URL:            https://launchpad.net/%{name}
Source0:        %{url}/trunk/%{version}/+download/%{name}_%{version}.orig.tar.gz
Source1:        %{bzrurl}/trunk/download/head:/copyright-20141203013409-bcvm8p48x4rop4zr-5/copyright#/%{name}-copyright

BuildArch:      noarch

Requires:       apg bmon byobu ccze gawk htop man-db mlocate moreutils
Requires:       mplayer openssh tree util-linux
# not yet packaged dependencies
Requires:       cmatrix jp2a speedometer

%if 0%{?fedora}
Suggests:       %{name}-wallstreet
%endif

%description
%{summary}.


%package wallstreet
Summary:        Fill your console with Hollywood's Wallstreet melodrama techno-babble
Requires:       %{name} = %{version}-%{release}

%description wallstreet
%{summary}.


%prep
%autosetup
# version 1.12 does not include a license file
cp -p %{SOURCE1} copyright
# helper scripts belong into libexecdir
find lib -type f |xargs sed -i -r 's:lib/(.*)/:%{_libexecdir}/\1/:'
sed -i -r 's:lib/:libexec/:' bin/*


%build
# nothing


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_datadir}/%{name} %{buildroot}%{_mandir}
cp -p bin/* %{buildroot}%{_bindir}
cp -pr lib/* %{buildroot}%{_libexecdir}
cp -pr share/%{name} %{buildroot}%{_datadir}
cp -pr share/wallstreet %{buildroot}%{_datadir}
cp -pr share/man/man1 %{buildroot}%{_mandir}


%files
%license copyright
%doc README TODO ChangeLog
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*

%files wallstreet
%{_bindir}/wallstreet
%{_libexecdir}/wallstreet/
%{_datadir}/wallstreet/


%changelog
* Sat Jun 17 2017 Raphael Groner <projects.rg@smart.ms> - 1.12-1
- initial
